Skip to main content
GET
/
v1
/
verification
/
ifsc-code
Ifsc Verification V2
curl --request GET \
  --url https://production.deepvue.tech/v1/verification/ifsc-code \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1769445605613,
  "transaction_id": "9c745fcea7424220a5b15ca0934baf77",
  "sub_code": "SUCCESS",
  "message": "IFSC verification successful",
  "data": {
    "bank": "KOTAK MAHINDRA BANK LIMITED",
    "ifsc": "KKBK0000180",
    "neft": "Live",
    "imps": "Live",
    "rtgs": "Live",
    "upi": "Live",
    "ft": "Not Live",
    "micr": 110485040,
    "nbin": 0,
    "address": "GROUND FLOOR, H-1/A -16, SECTOR 63, NOIDA - 201301",
    "city": "DELHI",
    "state": "DELHI",
    "branch": "NOIDA",
    "ifscSubcode": "KKBK0",
    "category": "",
    "swiftCode": ""
  }
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

ifsc
string
required

The IFSC code of the bank branch to be verified.

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
sub_code
string
default:SUCCESS
message
string
default:IFSC verification successful
data
Data · object